List Inverters
curl --request GET \
--url https://api.example.com/invertersimport requests
url = "https://api.example.com/inverters"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/inverters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/inverters",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/inverters"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/inverters")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/inverters")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyInverters
List Inverters
List all inverters in the current workspace
GET
/
inverters
List Inverters
curl --request GET \
--url https://api.example.com/invertersimport requests
url = "https://api.example.com/inverters"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/inverters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/inverters",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/inverters"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/inverters")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/inverters")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyGET /inverters
Returns all inverters belonging to the authenticated workspace. Use this to populate equipment selection dropdowns or to audit the inverter library before running an energy model.Notes
- Requires a valid JWT with read access to the workspace.
- Returns an array of
InverterResponseobjects, each containing the inverter’s parsed properties and optional efficiency curve data. - Inverters are workspace-scoped; you will only see inverters created within the current workspace.
- To retrieve a single inverter by ID, use
GET /inverters/{inverter_id}. - To add inverters, use
POST /inverters(file upload) orPOST /inverters/json(JSON body).
